Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
apt-get install build-essential libtool libusb-dev libusb-1.0 gcc make autoconf pkg-config libudev-dev flex pcsc-tools libpcsclite-dev
#download pcsc lite
wget https://alioth.debian.org/frs/download.php/file/4225/pcsc-lite-1.8.22.tar.bz2
tar xvf pcsc-lite*.tar.bz2
cd pcsc*
./bootstrap
./configure
make
## if you found following error
#libtool: Version mismatch error. This is libtool 2.4.2 Debian-2.4.2-1.11, but the
#libtool: definition of this LT_INIT comes from libtool 2.4.6.
#libtool: You should recreate aclocal.m4 with macros from libtool 2.4.2 Debian-2.4.2-1.11
#libtool: and run autoconf again.
## run following steps
# rm aclocal.m4
# autoreconf --force --install
# make
cd ..
# download ccid .tar
wget https://alioth.debian.org/frs/download.php/latestzip/112/ccid-latest.zip
unzip ccid*.zip
tar xvf ccid*.tar.bz2
cd ccid-*
./configure
make
make install
cd ..
## i dont have to do this on ubuntu 16.04 but i need to do this in raspbian OS.
# pi start
# i run " pcscd -d -f " for debugging
# found
# 2 hotplug_libudev.c:729:HPRegisterForHotplugEvents() No bundle files in pcsc drivers directory: /usr/local/lib/pcsc/drivers
# 00000803 hotplug_libudev.c:730:HPRegisterForHotplugEvents() Disabling USB support for pcscd
# so i run the command to create a link
mkdir /usr/local/lib/pcsc/
ln -s /usr/lib/pcsc/drivers/ /usr/local/lib/pcsc/drivers/
# then it's working
# pi end
#launch service
service pcscd start
##if service not found run deamon instead
# pcscd
#test pcsc
pcsc_scan
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment